Name:		mathwar
Summary:	Simple "flash-card" type math game for kids
Version:	3.0.3
Release:	%mkrel 3
URL:		https://sourceforge.net/projects/mathwar-gtk
Group:		Sciences/Mathematics
License:	GPLv2+
Source0:	https://sourceforge.net/projects/mathwar-gtk/files/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	gettext-devel

%description
A flash card game designed to teach simple maths.
A GTK3 application that teaches kids (and adults) how to respond quickly
to simple math problems in addition, subtraction, and multiplication using
flash cards and timers.

It includes a Computer player, where the player gets to
decide if the Computer is right or not.

%prep
%setup -q
# delete POT file for right creating GMO files and for updating all translations
rm -f po/*.pot

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*
%{_mandir}/man6/%{name}*


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 3.0.3-3.mga9
+ Revision: 1835187
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.0.3-2.mga8
+ Revision: 1522883
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Feb 08 2019 alexl <alexl> 3.0.3-1.mga7
+ Revision: 1364145
- version 3.0.3

* Sun Sep 23 2018 umeabot <umeabot> 3.0.2-4.mga7
+ Revision: 1299489
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 3.0.2-3.mga7
+ Revision: 1236095
- fix build on aarch64
+ kekepower <kekepower>
- Use make_build

* Mon Feb 15 2016 umeabot <umeabot> 3.0.2-2.mga6
+ Revision: 961357
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 alexl <alexl> 3.0.2-1.mga6
+ Revision: 901540
- version 3.0.2
- new url
- s/makeinstall_std/make_install/

* Sun Dec 21 2014 alexl <alexl> 3.0.1-1.mga5
+ Revision: 804606
- version 3.0.1
- dropped all deprecated patches

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-4.mga5
+ Revision: 751081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 682211
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 alexl <alexl> 0.2.5-2.mga5
+ Revision: 662142
- added GenericName in desktop file
- translated desktop file

* Thu Jul 10 2014 alexl <alexl> 0.2.5-1.mga5
+ Revision: 651095
- imported package mathwar

